Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.rules.rl
Class RLArray

`java.lang.Object
oracle.rules.rl.RLArray`

public final class RLArray
extends java.lang.Object

Part of reflection API for RL classes.

Method Summary
`static RLObject` | `get(RLObject array, int index)` Returns the value of the indexed component in the specified array object.
`static int` | `getLength(RLObject array)` Get length of RL array.
`static RLObject` | `newInstance(RLClass componentType, int length)` Create new RL array instance.
`static void` | `set(RLObject array, int index, RLObject value)` Set the value of the indexed component in the specified array Object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### get

    public static RLObject get(RLObject array,
                               int index)
                        throws RLIllegalArgumentException,
                               RLArrayIndexOutOfBoundsException

  Returns the value of the indexed component in the specified array object.
  Returns:
    RLObject
  Throws:
    `RLIllegalArgumentException`
    `RLArrayIndexOutOfBoundsException`

### set

    public static void set(RLObject array,
                           int index,
                           RLObject value)
                    throws RLIllegalArgumentException,
                           RLArrayIndexOutOfBoundsException,
                           RLArrayStoreException

  Set the value of the indexed component in the specified array Object.
  Parameters:
    `array` - RLObject array
    `index` - array component
    `value` - new value of component
  Throws:
    `RLIllegalArgumentException`
    `RLArrayIndexOutOfBoundsException`
    `RLArrayStoreException`

### getLength

    public static int getLength(RLObject array)
                         throws RLIllegalArgumentException

  Get length of RL array.
  Returns:
    int length
  Throws:
    `RLIllegalArgumentException`

### newInstance

    public static RLObject newInstance(RLClass componentType,
                                       int length)
                                throws RLNegativeArraySizeException

  Create new RL array instance.
  Parameters:
    `componentType` - RLClass of components
    `length` - int >= 0
  Returns:
    RLObject new array
  Throws:
    `RLNegativeArraySizeException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, Oracle. All rights reserved.